X2Go Bug report logs - #785
x2go clipboard bug

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Sergey Savko <savko@tophouse.ru>

Date: Wed, 11 Feb 2015 11:10:02 UTC

Severity: normal

Tags: moreinfo

Found in version 4.0.3.2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#785; Package x2goclient. (Wed, 11 Feb 2015 11:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey Savko <savko@tophouse.ru>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 11 Feb 2015 11:10:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Sergey Savko <savko@tophouse.ru>
To: submit@bugs.x2go.org
Subject: x2go clipboard bug
Date: Wed, 11 Feb 2015 15:11:39 +0400 (MSK)
Package: x2goclient
Version: 4.0.3.2
Severity: normal

x2goclient doesnt work with clipboard properly.
When you copy a file to clipboard and closed a source directory its just disapear from clipboard .
It's with plain text also. 
When you copy to clipboard a part of a text from text document and then closed a text editor, the clipboard will be empty.

-- 
Yours truly,
Sergey Savko.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#785; Package x2goclient. (Wed, 11 Feb 2015 11:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 11 Feb 2015 11:50:02 GMT) Full text and rfc822 format available.

Message #10 received at 785@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Sergey Savko <savko@tophouse.ru>, 785@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#785: x2go clipboard bug
Date: Wed, 11 Feb 2015 11:49:27 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 moreinfo

Hi Sergey,

On  Mi 11 Feb 2015 12:11:39 CET, Sergey Savko wrote:

> Package: x2goclient
> Version: 4.0.3.2
> Severity: normal
>
> x2goclient doesnt work with clipboard properly.
> When you copy a file to clipboard and closed a source directory its  
> just disapear from clipboard .
> It's with plain text also.
> When you copy to clipboard a part of a text from text document and  
> then closed a text editor, the clipboard will be empty.

isn't that normal X11 behaviour? I experience the same on my locally  
Debian jessie + i3 window manager machine.

In KDE3 there was this klipboard tool (I know you are using KDE4).  
Does something like this exist in KDE4?

I sense that this is no X2Go bug... Right?

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 785-submit@bugs.x2go.org. (Wed, 11 Feb 2015 11:50:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#785; Package x2goclient. (Wed, 11 Feb 2015 12:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey Savko <savko@tophouse.ru>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 11 Feb 2015 12:55:02 GMT) Full text and rfc822 format available.

Message #17 received at 785@bugs.x2go.org (full text, mbox):

From: Sergey Savko <savko@tophouse.ru>
To: 785@bugs.x2go.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: 785
Date: Wed, 11 Feb 2015 16:55:28 +0400 (MSK)
Clipboard in local Debian 7 and Kubuntu 14.04 it's work too.


-- 
Yours truly,
Sergey Savko.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#785; Package x2goclient. (Wed, 11 Feb 2015 12:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey Savko <savko@tophouse.ru>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 11 Feb 2015 12:55:03 GMT) Full text and rfc822 format available.

Message #22 received at 785@bugs.x2go.org (full text, mbox):

From: Sergey Savko <savko@tophouse.ru>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 785@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#785: x2go clipboard bug
Date: Wed, 11 Feb 2015 16:49:01 +0400 (MSK)
I tried FreeNX on the same server with the same user profile, it works.

Video: http://youtu.be/r-GABBB_APE

----- Исходное сообщение -----
От: "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de>
Кому: "Sergey Savko" <savko@tophouse.ru>, 785@bugs.x2go.org
Отправленные: Среда, 11 Февраль 2015 г 14:49:27
Тема: Re: [X2Go-Dev] Bug#785: x2go clipboard bug

Control: tag -1 moreinfo

Hi Sergey,

On  Mi 11 Feb 2015 12:11:39 CET, Sergey Savko wrote:

> Package: x2goclient
> Version: 4.0.3.2
> Severity: normal
>
> x2goclient doesnt work with clipboard properly.
> When you copy a file to clipboard and closed a source directory its  
> just disapear from clipboard .
> It's with plain text also.
> When you copy to clipboard a part of a text from text document and  
> then closed a text editor, the clipboard will be empty.

isn't that normal X11 behaviour? I experience the same on my locally  
Debian jessie + i3 window manager machine.

In KDE3 there was this klipboard tool (I know you are using KDE4).  
Does something like this exist in KDE4?

I sense that this is no X2Go bug... Right?

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#785; Package x2goclient. (Wed, 11 Feb 2015 20:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 11 Feb 2015 20:30:02 GMT) Full text and rfc822 format available.

Message #27 received at 785@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <uli42@gmx.de>
To: Sergey Savko <savko@tophouse.ru>, 785@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#785: Bug#785: x2go clipboard bug
Date: Wed, 11 Feb 2015 21:29:18 +0100
On Wed, Feb 11, 2015 at 1:49 PM, Sergey Savko <savko@tophouse.ru> wrote:
> I tried FreeNX on the same server with the same user profile, it works.
>
> Video: http://youtu.be/r-GABBB_APE

First, what versions of x2go and FreeNX are you using? In 3.5.0.28 I
habe contributed a fix regarding clipboard handling.

Second, have you tried doing that without klipper running?

And third: please retry that, but this time do NOT use any KDE or qt
application. E.g. use gedit.

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#785; Package x2goclient. (Wed, 11 Feb 2015 21:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey Savko <savko@tophouse.ru>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 11 Feb 2015 21:30:02 GMT) Full text and rfc822 format available.

Message #32 received at 785@bugs.x2go.org (full text, mbox):

From: Sergey Savko <savko@tophouse.ru>
To: Ulrich Sibiller <uli42@gmx.de>, 785@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#785: Bug#785: x2go clipboard bug
Date: Thu, 12 Feb 2015 01:31:44 +0400 (MSK)
1. 
x2go:
x2goserver:amd64/trusty 4.0.1.18-0~949~ubuntu14.04.1
x2goagent:all/trusty 2:3.5.0.27-0~446~ubuntu14.04.1
libnx-x11:amd64/trusty 2:3.5.0.27-0~446~ubuntu14.04.1

nx:
nx_3.4.0-eter16ubuntu_amd64.deb
But it is not installed because of conflicts with package x2go ("nxagent"). I conclude FreeNX uses the same libraries as x2go.

2. Without Clipper bug is also present.

3. Copy from gedit to libreoffice, with closing gedit, bug is present.

Bug is limited not only copying the text, but also copying files. 
If you open a folder in the dolphin and copy the file, after closing the folder, the file on the desktop will not be paste.


----- Исходное сообщение -----
От: "Ulrich Sibiller" <uli42@gmx.de>
Кому: "Sergey Savko" <savko@tophouse.ru>, 785@bugs.x2go.org
Отправленные: Среда, 11 Февраль 2015 г 23:29:18
Тема: Re: [X2Go-Dev] Bug#785: Bug#785: x2go clipboard bug

On Wed, Feb 11, 2015 at 1:49 PM, Sergey Savko <savko@tophouse.ru> wrote:
> I tried FreeNX on the same server with the same user profile, it works.
>
> Video: http://youtu.be/r-GABBB_APE

First, what versions of x2go and FreeNX are you using? In 3.5.0.28 I
habe contributed a fix regarding clipboard handling.

Second, have you tried doing that without klipper running?

And third: please retry that, but this time do NOT use any KDE or qt
application. E.g. use gedit.

Uli

-- 
Yours truly,
Sergey Savko.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#785; Package x2goclient. (Wed, 11 Feb 2015 22:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey Savko <savko@tophouse.ru>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 11 Feb 2015 22:05:02 GMT) Full text and rfc822 format available.

Message #37 received at 785@bugs.x2go.org (full text, mbox):

From: Sergey Savko <savko@tophouse.ru>
To: Ulrich Sibiller <uli42@gmx.de>, 785@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#785: Bug#785: x2go clipboard bug
Date: Thu, 12 Feb 2015 02:06:01 +0400 (MSK)
To be precise it's not quite FreeNX. This patched FreeNX, called the RX from the company etersoft.
Tomorrow I will try to update and test.

-- 
Yours truly,
Sergey Savko.

----- Исходное сообщение -----
От: "Ulrich Sibiller" <uli42@gmx.de>
Кому: "Sergey Savko" <savko@tophouse.ru>
Отправленные: Четверг, 12 Февраль 2015 г 0:34:29
Тема: Re: [X2Go-Dev] Bug#785: Bug#785: x2go clipboard bug

So then try a newer x2go version. You should ensure that nx-libs is 3.5.0.28.

Regarding FreeNX: I am pretty sure nx 3.4.0 did not have that
clipboard problem I fixed in 3.5.0.28.

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#785; Package x2goclient. (Thu, 12 Feb 2015 15:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey Savko <savko@tophouse.ru>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 12 Feb 2015 15:05:02 GMT) Full text and rfc822 format available.

Message #42 received at 785@bugs.x2go.org (full text, mbox):

From: Sergey Savko <savko@tophouse.ru>
To: Ulrich Sibiller <uli42@gmx.de>, 785@bugs.x2go.org
Subject: 785
Date: Thu, 12 Feb 2015 19:02:02 +0400 (MSK)
I tested with lastest nx-libs. Bug is present.
Last video with this bug: http://youtu.be/QTk1G1jLT-I

-- 
Yours truly,
Sergey Savko.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#785; Package x2goclient. (Thu, 12 Feb 2015 22:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey Savko <savko@tophouse.ru>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 12 Feb 2015 22:05:02 GMT) Full text and rfc822 format available.

Message #47 received at 785@bugs.x2go.org (full text, mbox):

From: Sergey Savko <savko@tophouse.ru>
To: Ulrich Sibiller <uli42@gmx.de>, 785@bugs.x2go.org
Subject: Re: 785
Date: Fri, 13 Feb 2015 02:03:04 +0400 (MSK)
Yes, it's work. Thank you.
This bug does not appear after turning on this option?
https://bugs.launchpad.net/ubuntu/+source/libxrandr/+bug/985202

----- Исходное сообщение -----
От: "Ulrich Sibiller" <uli42@gmx.de>
Кому: "Sergey Savko" <savko@tophouse.ru>
Отправленные: Пятница, 13 Февраль 2015 г 0:27:55
Тема: Re: 785

Ok, please enable the XFIXES extension. This can be done in
/etc/x2go/x2goagent.options

Ensure that you find +extension XFIXES in there:

X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension XFIXES"


Uli

On Thu, Feb 12, 2015 at 9:33 PM, Sergey Savko <savko@tophouse.ru> wrote:
> Versions x2goclient
> Windows x2goclient 4.0.3.1
> Linux x2goclient:
> $ apt-show-versions | grep x2goclient
> x2goclient 4.0.3.2-0x2go1 newer than version in archive
> nx-libs 3.5.0.29-0
>
> $xdpyinfo
>
> name of display:    :50
> version number:    11.0
> vendor string:    The X.Org Foundation
> vendor release number:    70000000
> X.Org version: 7.0.0
> maximum request size:  16777212 bytes
> motion buffer size:  256
> bitmap unit, bit order, padding:    32, LSBFirst, 32
> image byte order:    LSBFirst
> number of supported pixmap formats:    7
> supported pixmap formats:
>     depth 1, bits_per_pixel 1, scanline_pad 32
>     depth 4, bits_per_pixel 8, scanline_pad 32
>     depth 8, bits_per_pixel 8, scanline_pad 32
>     depth 15, bits_per_pixel 16, scanline_pad 32
>     depth 16, bits_per_pixel 16, scanline_pad 32
>     depth 24, bits_per_pixel 32, scanline_pad 32
>     depth 32, bits_per_pixel 32, scanline_pad 32
> keycode range:    minimum 8, maximum 255
> focus:  window 0x1000018, revert to PointerRoot
> number of extensions:    26
>     BIG-REQUESTS
>     DAMAGE
>     DEC-XTRAP
>     DOUBLE-BUFFER
>     DPMS
>     Extended-Visual-Information
>     GLX
>     MIT-SHM
>     MIT-SUNDRY-NONSTANDARD
>     RANDR
>     RECORD
>     RENDER
>     SECURITY
>     SGI-GLX
>     SHAPE
>     SYNC
>     TOG-CUP
>     X-Resource
>     XC-APPGROUP
>     XC-MISC
>     XFree86-Bigfont
>     XINERAMA
>     XInputExtension
>     XKEYBOARD
>     XTEST
>     XVideo
> default screen number:    0
> number of screens:    1
>
> screen #0:
>   dimensions:    1920x1087 pixels (508x288 millimeters)
>   resolution:    96x96 dots per inch
>   depths (7):    24, 1, 4, 8, 15, 16, 32
>   root window id:    0x59
>   depth of root window:    24 planes
>   number of colormaps:    minimum 1, maximum 1
>   default colormap:    0x3f
>   default number of colormap cells:    256
>   preallocated pixels:    black 0, white 16777215
>   options:    backing-store YES, save-unders YES
>   largest cursor:    1920x1087
>   current input event mask:    0xfac031
>     KeyPressMask             EnterWindowMask          LeaveWindowMask
>     KeymapStateMask          ExposureMask             StructureNotifyMask
>     SubstructureNotifyMask   SubstructureRedirectMask FocusChangeMask
>     PropertyChangeMask       ColormapChangeMask
>   number of visuals:    5
>   default visual id:  0x3a
>   visual:
>     visual id:    0x3a
>     class:    TrueColor
>     depth:    24 planes
>     available colormap entries:    256 per subfield
>     red, green, blue masks:    0xff0000, 0xff00, 0xff
>     significant bits in color specification:    8 bits
>   visual:
>     visual id:    0x3b
>     class:    TrueColor
>     depth:    24 planes
>     available colormap entries:    256 per subfield
>     red, green, blue masks:    0xff0000, 0xff00, 0xff
>     significant bits in color specification:    8 bits
>   visual:
>     visual id:    0x3c
>     class:    TrueColor
>     depth:    24 planes
>     available colormap entries:    256 per subfield
>     red, green, blue masks:    0xff0000, 0xff00, 0xff
>     significant bits in color specification:    8 bits
>   visual:
>     visual id:    0x3d
>     class:    TrueColor
>     depth:    24 planes
>     available colormap entries:    256 per subfield
>     red, green, blue masks:    0xff0000, 0xff00, 0xff
>     significant bits in color specification:    8 bits
>   visual:
>     visual id:    0x3e
>     class:    StaticColor
>     depth:    24 planes
>     available colormap entries:    256
>     red, green, blue masks:    0xff0000, 0xff00, 0xff
>     significant bits in color specification:    8 bits
>
>
> ----- Исходное сообщение -----
> От: "Ulrich Sibiller" <uli42@gmx.de>
> Кому: "Sergey Savko" <savko@tophouse.ru>
> Отправленные: Четверг, 12 Февраль 2015 г 22:54:35
> Тема: Re: 785
>
> On Thu, Feb 12, 2015 at 4:02 PM, Sergey Savko <savko@tophouse.ru> wrote:
>> I tested with lastest nx-libs. Bug is present.
>> Last video with this bug: http://youtu.be/QTk1G1jLT-I
>
> Hmm, interesting.
>
> I suspect that your client is too old. What is it's version? What
> nx-libs are included there?
>
> And please post the output of xdpyinfo in your session.
>
> Uli
>
> --
> Yours truly,
> Sergey Savko.

-- 
С уважением,
Сергей Савко,
начальник IT отдела.
+7-931-361-04-02


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#785; Package x2goclient. (Fri, 13 Feb 2015 04:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 13 Feb 2015 04:40:02 GMT) Full text and rfc822 format available.

Message #52 received at 785@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Sergey Savko <savko@tophouse.ru>, 785@bugs.x2go.org, Ulrich Sibiller <uli42@gmx.de>
Subject: Re: [X2Go-Dev] Bug#785: 785
Date: Fri, 13 Feb 2015 04:37:21 +0000
[Message part 1 (text/plain, inline)]
HI all,

On  Do 12 Feb 2015 23:03:04 CET, Sergey Savko wrote:

> Yes, it's work. Thank you.
> This bug does not appear after turning on this option?
> https://bugs.launchpad.net/ubuntu/+source/libxrandr/+bug/985202
>
> ----- Исходное сообщение -----
> От: "Ulrich Sibiller" <uli42@gmx.de>
> Кому: "Sergey Savko" <savko@tophouse.ru>
> Отправленные: Пятница, 13 Февраль 2015 г 0:27:55
> Тема: Re: 785
>
> Ok, please enable the XFIXES extension. This can be done in
> /etc/x2go/x2goagent.options
>
> Ensure that you find +extension XFIXES in there:
>
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension XFIXES"
>
>
> Uli

I'd be interested in others' opinions. It seems that Ubuntu reverted  
the causes for X2Go crashes due to libxfixes.

Should we re-enable XFIXES again by default? What do others think?  
Experiences?

/me is not often on Ubuntu X2Go servers nowadays...

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#785; Package x2goclient. (Fri, 13 Feb 2015 08:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey Savko <savko@tophouse.ru>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 13 Feb 2015 08:15:01 GMT) Full text and rfc822 format available.

Message #57 received at 785@bugs.x2go.org (full text, mbox):

From: Sergey Savko <savko@tophouse.ru>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 785@bugs.x2go.org, Ulrich Sibiller <uli42@gmx.de>
Subject: Re: [X2Go-Dev] Bug#785: 785
Date: Fri, 13 Feb 2015 12:12:39 +0400 (MSK)
A week later, I can say  x2go crashed or not.
Now I will have 2 servers in the farm under kubuntu 14.04.

----- Исходное сообщение -----
От: "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de>
Кому: "Sergey Savko" <savko@tophouse.ru>, 785@bugs.x2go.org, "Ulrich Sibiller" <uli42@gmx.de>
Отправленные: Пятница, 13 Февраль 2015 г 7:37:21
Тема: Re: [X2Go-Dev] Bug#785: 785

HI all,

On  Do 12 Feb 2015 23:03:04 CET, Sergey Savko wrote:

> Yes, it's work. Thank you.
> This bug does not appear after turning on this option?
> https://bugs.launchpad.net/ubuntu/+source/libxrandr/+bug/985202
>
> ----- Исходное сообщение -----
> От: "Ulrich Sibiller" <uli42@gmx.de>
> Кому: "Sergey Savko" <savko@tophouse.ru>
> Отправленные: Пятница, 13 Февраль 2015 г 0:27:55
> Тема: Re: 785
>
> Ok, please enable the XFIXES extension. This can be done in
> /etc/x2go/x2goagent.options
>
> Ensure that you find +extension XFIXES in there:
>
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension XFIXES"
>
>
> Uli

I'd be interested in others' opinions. It seems that Ubuntu reverted  
the causes for X2Go crashes due to libxfixes.

Should we re-enable XFIXES again by default? What do others think?  
Experiences?

/me is not often on Ubuntu X2Go servers nowadays...

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

-- 
Yours truly,
Sergey Savko.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#785; Package x2goclient. (Thu, 26 Jan 2017 12:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Parrish <info@valerro.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 26 Jan 2017 12:50:02 GMT) Full text and rfc822 format available.

Message #62 received at 785@bugs.x2go.org (full text, mbox):

From: Martin Parrish <info@valerro.com>
To: undisclosed-recipients:;
Subject: offer to become our facilitator
Date: Thu, 26 Jan 2017 06:27:52 -0600
T I P E C


Valero manufacturing petroleum/oil reputable corporation is looking for 
an agent,
to be our coordinator in Europe and Asia,which you will act as an 
intermediary between our company and the
final buyer of petroleum products in those regions,Inform us if you are 
interested.

Martin Parrish
(Vice-President Alternate Fuels)


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 13 20:27:03 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.